--[[
Callback events  

OPTIONS_UPDATE 
	args:  nil
		
	Fired when ever the GUI options are changed
		
]]
local PetBattleTeams = LibStub("AceAddon-3.0"):GetAddon("PetBattleTeams")
GUI = PetBattleTeams:NewModule("GUI")



function GUI:OnInitialize()
	self.callbacks = LibStub("CallbackHandler-1.0"):New(self)
	
	local db = LibStub("AceDB-3.0"):New("PetBattleTeamsDB", {} , true)
	local name = self:GetName()
	
	local defaults = {
		global = {
			xpInLevel = false,
			xpAsHealthBar = false,
			teamName = true,
			attached = true,
			locked = false,
		}
	}
	self.db = db:RegisterNamespace(name, defaults)
	
	
	self.mainFrame =  GUI:CreateMainFrame()
	local mainFrame = self.mainFrame
	mainFrame:SetPoint("TOPLEFT",UIParent)
	mainFrame:Show()
	mainFrame:SetAttached(self:GetAttached())
end


function GUI:SetDisplayXpInLevel(enabled)
	self.db.global.xpInLevel = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:SetDisplayXPAsHealthBar(enabled)
	
	self.db.global.xpAsHealthBar = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:SetDisplayTeamName(enabled)
	self.db.global.teamName = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:SetAttached(enabled)
	self.db.global.attached = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:SetLocked(enabled)
	self.db.global.locked = enabled
	self.callbacks:Fire("OPTIONS_UPDATE")
end

function GUI:GetDisplayXpInLevel()
	return self.db.global.xpInLevel
end

function GUI:GetDisplayXPAsHealthBar()
	return self.db.global.xpAsHealthBar
end

function GUI:GetDisplayTeamName()
	return self.db.global.teamName
end

function GUI:GetAttached()
	return self.db.global.attached
end

function GUI:GetLocked()
	return self.db.global.locked
end







